package net.sf.itcb.common.business.core;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;

/**
 * Allows to retrieve Spring context in a non spring class
 * @author Pierre Le Roux
 *
 */
public class ItcbApplicationContextHolder implements ApplicationContextAware {
 
	private static ApplicationContext context = null;

	/**
	* ApplicationContextAware method injected by Spring
	*/
	public void setApplicationContext(ApplicationContext ctx)
			throws BeansException {
		context = ctx;
	}
 
 
	/**
	 * Static method to retrieve Spring context
	 */
	public static ApplicationContext getContext() {
		return context;
	}
 
}
